curl --request GET \
--url https://api.getbuildify.com/{apiVersion}/{apiProvince}/featured_listings \
--header 'x-api-key: <api-key>'import requests
url = "https://api.getbuildify.com/{apiVersion}/{apiProvince}/featured_listings"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.getbuildify.com/{apiVersion}/{apiProvince}/featured_listings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getbuildify.com/{apiVersion}/{apiProvince}/featured_listings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getbuildify.com/{apiVersion}/{apiProvince}/featured_listings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getbuildify.com/{apiVersion}/{apiProvince}/featured_listings")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getbuildify.com/{apiVersion}/{apiProvince}/featured_listings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body"{}""{}"Featured Listings
Get to know which properties are turning heads.
curl --request GET \
--url https://api.getbuildify.com/{apiVersion}/{apiProvince}/featured_listings \
--header 'x-api-key: <api-key>'import requests
url = "https://api.getbuildify.com/{apiVersion}/{apiProvince}/featured_listings"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.getbuildify.com/{apiVersion}/{apiProvince}/featured_listings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getbuildify.com/{apiVersion}/{apiProvince}/featured_listings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getbuildify.com/{apiVersion}/{apiProvince}/featured_listings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getbuildify.com/{apiVersion}/{apiProvince}/featured_listings")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getbuildify.com/{apiVersion}/{apiProvince}/featured_listings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body"{}""{}"Path Parameters
Query Parameters
The given search string is searched from listing's name, summary, amenities, cityOrDistrict, streetName, country, neighbourhood. See more info.
Fetch the given page of the results, starts from 0. See more info.
Facets to fetch, possible values can be amenities, builders, marketers, etc. It should be comma separated. See more info.
Query to filter the listings. See more info.
Attributes to retrieve. For example: name, summary, builders, etc. It should be comma separated. See more info.
Fetch listings nearby to the given coordinates. See more info.
Listings under the given radius. See more info.
Fields to attach referrences. For example: builders, marketers, etc. It should be comma separated. See more info.
Response
200
The response is of type object.